Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.transformer
Class KeyTable

    java.lang.Object
      |
      +--weblogic.apache.xalan.transformer.KeyTable

public class KeyTable
extends java.lang.Object

Table of element keys, keyed by document node. An instance of this class is keyed by a Document node that should be matched with the root of the current context. It contains a table of name mappings to tables that contain mappings of identifier values to nodes.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Constructor Summary
`KeyTable(int doc, PrefixResolver nscontext, QName name, java.util.Vector keyDeclarations, XPathContext xmlLiaison)` Build a keys table.

Method Summary
`int` | `getDocKey()` Get the document root matching this key.
`QName` | `getKeyTableName()` Get Key Name for this KeyTable
`LocPathIterator` | `getNodeSetDTMByKey(QName name, XMLString ref)` Given a valid element key, return the corresponding node list.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeyTable

    public KeyTable(int doc,
                    PrefixResolver nscontext,
                    QName name,
                    java.util.Vector keyDeclarations,
                    XPathContext xmlLiaison)
             throws javax.xml.transform.TransformerException

  Build a keys table.

  Parameters:
    `doc` - The owner document key.
    `nscontext` - The stylesheet's namespace context.
    `name` - The key name
    `keyDeclarations` - The stylesheet's xsl:key declarations.
    `xmlLiaison` - The parser liaison for support of getNodeData(useNode).
  Throws:
    javax.xml.transform.TransformerException -

Method Detail

### getDocKey

    public int getDocKey()

  Get the document root matching this key.

  Returns:
    the document root matching this key

### getNodeSetDTMByKey

    public LocPathIterator getNodeSetDTMByKey(QName name,
                                              XMLString ref)

  Given a valid element key, return the corresponding node list.

  Parameters:
    `The` - name of the key, which must match the 'name' attribute on xsl:key.
    `ref` - The value that must match the value found by the 'match' attribute on xsl:key.
  Returns:
    If the name was not declared with xsl:key, this will return null, if the identifier is not found, it will return null, otherwise it will return a LocPathIterator instance.

### getKeyTableName

    public QName getKeyTableName()

  Get Key Name for this KeyTable

  Returns:
    Key name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference